Subject: Re: [PATCH] setup: only die on invalid .git under RUN_SETUP

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jul 2021 18:59:01 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I guess another easy alternative would be to issue a warning() in this
> case, which is a relatively light refactoring of passing an error
> message up from the relevant function(s) instead of having it die()
> directly.

I think the end users deserve a warning even when they are running
ls-remote or bugreport in such a corrupt repository-lookalike.  It
might be sufficient to make "git diff [--no-index]" safe enough.

Thanks.